Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043340
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-02-26 13:512020-04-06 15:46
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revisionb00ec71ec5e6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043340: Apply new HQL Style in PriceAdjustment.java

DescriptionPriceAdjustment.java has one HQL query with:
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0118141)
inigo_lerga (developer)
2020-02-27 08:40
edited on: 2020-03-16 13:58

--Test Plan Mantis HQL queries--
As the F&B International Group Admin role:
  - Go to the Sales Order window and create a new
    record with any Business Partner desired.
    Go to the Lines Tab and create a new line with
    any Product desired.
    
    #In this moment the modified HQL is executed#

(0118700)
hgbot (developer)
2020-03-20 11:52

Repository: erp/devel/pi
Changeset: 9b5c4b0a11c4af5cdf894d0e8910c80f59615e6e
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Thu Feb 27 10:24:29 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9b5c4b0a11c4af5cdf894d0e8910c80f59615e6e [^]

fixes BUG-43340:Applied new HQL Style

---
M src/org/openbravo/erpCommon/businessUtility/PriceAdjustment.java
---
(0118701)
hgbot (developer)
2020-03-20 11:52

Repository: erp/devel/pi
Changeset: 18e75c803f11fee80e8ba178fe43c720c4305fce
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Thu Feb 27 10:59:34 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/18e75c803f11fee80e8ba178fe43c720c4305fce [^]

related to ISSUE-43340: Applied Sonarlint suggestions and more

-Finals added
-Sonarlint suggestions applied
-Refactored code to be more legible.

---
M src/org/openbravo/erpCommon/businessUtility/PriceAdjustment.java
---
(0118702)
hgbot (developer)
2020-03-20 11:52

Repository: erp/devel/pi
Changeset: 62d99cf5b684f37f2ebb537e6622b8ee2d191d20
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Mon Mar 16 15:06:47 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/62d99cf5b684f37f2ebb537e6622b8ee2d191d20 [^]

related to ISSUE-43340: Fix for NullPointer when product is null

---
M src/org/openbravo/erpCommon/businessUtility/PriceAdjustment.java
---
(0118703)
hgbot (developer)
2020-03-20 11:52

Repository: erp/devel/pi
Changeset: a13a6fd4ca25af702a6d5598a52712d003522015
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Mar 20 11:52:23 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a13a6fd4ca25af702a6d5598a52712d003522015 [^]

Related to ISSUE-43340: Code Review Changes. Changed some
methods and variable names to make them more descriptive.

---
M src/org/openbravo/erpCommon/businessUtility/PriceAdjustment.java
---
(0118704)
dmiguelez (developer)
2020-03-20 11:53

Code Review + Testing Ok
(0118965)
hgbot (developer)
2020-04-06 11:53

Repository: erp/devel/pi
Changeset: b00ec71ec5e672f53f33e35396add122dd392cfc
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Thu Feb 27 10:24:29 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b00ec71ec5e672f53f33e35396add122dd392cfc [^]

fixes BUG-43340:Applied new HQL Style

---
M src/org/openbravo/erpCommon/businessUtility/PriceAdjustment.java
---
(0118966)
hgbot (developer)
2020-04-06 11:53

Repository: erp/devel/pi
Changeset: bd1ce490fe9e35a4cdf0d0a216e3d7f1d1ee7e29
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Thu Feb 27 10:59:34 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/bd1ce490fe9e35a4cdf0d0a216e3d7f1d1ee7e29 [^]

related to ISSUE-43340: Applied Sonarlint suggestions and more

-Finals added
-Sonarlint suggestions applied
-Refactored code to be more legible.

---
M src/org/openbravo/erpCommon/businessUtility/PriceAdjustment.java
---
(0118967)
hgbot (developer)
2020-04-06 11:53

Repository: erp/devel/pi
Changeset: 0cd6ab33574311ead3c6a465507ea74fbc90fcca
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Mon Mar 16 15:06:47 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0cd6ab33574311ead3c6a465507ea74fbc90fcca [^]

related to ISSUE-43340: Fix for NullPointer when product is null

---
M src/org/openbravo/erpCommon/businessUtility/PriceAdjustment.java
---
(0118968)
hgbot (developer)
2020-04-06 11:53

Repository: erp/devel/pi
Changeset: 35737369421dc52252f647b91cdec180c5282b91
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Mar 20 11:52:23 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/35737369421dc52252f647b91cdec180c5282b91 [^]

Related to ISSUE-43340: Code Review Changes. Changed some
methods and variable names to make them more descriptive.

---
M src/org/openbravo/erpCommon/businessUtility/PriceAdjustment.java
---
(0118989)
jarmendariz (developer)
2020-04-06 15:46

closed: wrongly reopened

- Issue History
Date Modified Username Field Change
2020-02-26 13:51 inigo_lerga New Issue
2020-02-26 13:51 inigo_lerga Assigned To => platform
2020-02-26 13:51 inigo_lerga Modules => Core
2020-02-26 13:51 inigo_lerga Triggers an Emergency Pack => No
2020-02-26 13:51 inigo_lerga Relationship added related to 0041287
2020-02-26 13:52 inigo_lerga Assigned To platform => inigo_lerga
2020-02-26 13:52 inigo_lerga Status new => scheduled
2020-02-27 08:40 inigo_lerga Note Added: 0118141
2020-03-16 13:58 inigo_lerga Note Edited: 0118141 View Revisions
2020-03-20 11:52 hgbot Checkin
2020-03-20 11:52 hgbot Note Added: 0118700
2020-03-20 11:52 hgbot Status scheduled => resolved
2020-03-20 11:52 hgbot Resolution open => fixed
2020-03-20 11:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9b5c4b0a11c4af5cdf894d0e8910c80f59615e6e [^]
2020-03-20 11:52 hgbot Checkin
2020-03-20 11:52 hgbot Note Added: 0118701
2020-03-20 11:52 hgbot Checkin
2020-03-20 11:52 hgbot Note Added: 0118702
2020-03-20 11:52 hgbot Checkin
2020-03-20 11:52 hgbot Note Added: 0118703
2020-03-20 11:53 dmiguelez Review Assigned To => dmiguelez
2020-03-20 11:53 dmiguelez Note Added: 0118704
2020-03-20 11:53 dmiguelez Status resolved => closed
2020-03-20 11:53 dmiguelez Fixed in Version => 3.0PR20Q2
2020-04-06 11:53 hgbot Checkin
2020-04-06 11:53 hgbot Note Added: 0118965
2020-04-06 11:53 hgbot Status closed => resolved
2020-04-06 11:53 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/9b5c4b0a11c4af5cdf894d0e8910c80f59615e6e [^] => http://code.openbravo.com/erp/devel/pi/rev/b00ec71ec5e672f53f33e35396add122dd392cfc [^]
2020-04-06 11:53 hgbot Checkin
2020-04-06 11:53 hgbot Note Added: 0118966
2020-04-06 11:53 hgbot Checkin
2020-04-06 11:53 hgbot Note Added: 0118967
2020-04-06 11:53 hgbot Checkin
2020-04-06 11:53 hgbot Note Added: 0118968
2020-04-06 15:46 jarmendariz Note Added: 0118989
2020-04-06 15:46 jarmendariz Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker